import request from '@/utils/request'

// 查询入库类型列表
export function listWarehousingtype(query) {
  return request({
    url: '/information/warehousingtype/list',
    method: 'get',
    params: query
  })
}

// 查询入库类型详细
export function getWarehousingtype(id) {
  return request({
    url: '/information/warehousingtype/' + id,
    method: 'get'
  })
}

// 新增入库类型
export function addWarehousingtype(data) {
  return request({
    url: '/information/warehousingtype',
    method: 'post',
    data: data
  })
}

// 修改入库类型
export function updateWarehousingtype(data) {
  return request({
    url: '/information/warehousingtype',
    method: 'put',
    data: data
  })
}

// 删除入库类型
export function delWarehousingtype(id) {
  return request({
    url: '/information/warehousingtype/' + id,
    method: 'delete'
  })
}

// 入库类型下拉字典数据
export function warehousingDict(data) {
  return request({
    url: '/information/warehousingtype/getAll',
    method: 'get',
    data: data
  })
}